using System;
using System.Collections.Generic;

namespace CustomerOrder.Entities
{
	public class Address
	{
	    public Address()
		{
      _customers = new List<Customer>();
      _orders = new List<Order>();
		}

		public int AddressId { get; set; }
		public string AddressLine1 { get; set; }
		public string AddressLine2 { get; set; }
		public string City { get; set; }
		public string StateProvince { get; set; }
		public string CountryRegion { get; set; }
		public string PostalCode { get; set; }
		public DateTime ModifiedDate { get; set; }
	  private ICollection<Customer> _customers;
	  public virtual ICollection<Customer> Customers
	  {
	    get { return _customers; }
	    set { _customers = value; }
	  }

	  private ICollection<Order> _orders;
	  public virtual ICollection<Order> Orders
	  {
	    get { return _orders; }
	    set { _orders = value; }
	  }
	}
}

