using System;
using System.Collections.Generic;

namespace CustomerOrder.Entities
{
	public class Category:DateClass
	{
	    public Category()
		{
      _products = new List<Product>();
      _childCategories = new List<Category>();
		}

		public int CategoryId { get; set; }
		public Nullable<int> ParentCategoryId { get; set; }
		public string Name { get; set; }
	  private ICollection<Product> _products;
	  public virtual ICollection<Product> Products
	  {
	    get { return _products; }
	    set { _products = value; }
	  }

	  private ICollection<Category> _childCategories;
	  public virtual ICollection<Category> ChildCategories
	  {
	    get { return _childCategories; }
	    set { _childCategories = value; }
	  }

	  public virtual Category ParentCategory { get; set; }
	}
}

