using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using TestEFPowerToolsCTP1.Entities;

namespace TestEFPowerToolsCTP1.Mapping
{
	public class vGetAllCategoryMap : EntityTypeConfiguration<vGetAllCategory>
	{
		public vGetAllCategoryMap()
		{
			// Primary Key
			this.HasKey(t => t.ParentProductCategoryName);

			// Properties
			this.Property(t => t.ParentProductCategoryName)
				.IsRequired()
				.HasMaxLength(50);
				
			this.Property(t => t.ProductCategoryName)
				.HasMaxLength(50);
				
			// Table & Column Mappings
			this.ToTable("vGetAllCategories");
			this.Property(t => t.ParentProductCategoryName).HasColumnName("ParentProductCategoryName");
			this.Property(t => t.ProductCategoryName).HasColumnName("ProductCategoryName");
			this.Property(t => t.ProductCategoryID).HasColumnName("ProductCategoryID");
		}
	}
}

