using System;
using System.Collections.Generic;

namespace CustomerOrder.Entities
{
	public class ProductModel
	{
	    public ProductModel()
		{
      _products = new List<Product>();
      _productDescriptions = new List<ProductDescription>();
		}

		public int ProductModelId { get; set; }
		public string Name { get; set; }
		public string CatalogDescription { get; set; }
		public DateTime ModifiedDate { get; set; }
	  private ICollection<Product> _products;
	  public virtual ICollection<Product> Products
	  {
	    get { return _products; }
	    set { _products = value; }
	  }

	  private ICollection<ProductDescription> _productDescriptions;
	  public virtual ICollection<ProductDescription> ProductDescriptions
	  {
	    get { return _productDescriptions; }
	    set { _productDescriptions = value; }
	  }
	}
}

